angular.module('bieduwo', ['ngCordova','ionic', 'bieduwo.controllers', 'bieduwo.services'])
.run(function($ionicPlatform, $rootScope, $location, $timeout, $ionicHistory, $cordovaToast) {
  $ionicPlatform.ready(function ($rootScope) {
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
        });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
      $ionicConfigProvider.platform.ios.tabs.style('standard');
      $ionicConfigProvider.platform.ios.tabs.position('bottom');
      $ionicConfigProvider.platform.android.tabs.style('standard');
      $ionicConfigProvider.platform.android.tabs.position('standard');
      $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
      $ionicConfigProvider.platform.android.navBar.alignTitle('left');
      $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
      $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');
      $ionicConfigProvider.platform.ios.views.transition('ios');
      $ionicConfigProvider.platform.android.views.transition('android');
  		$stateProvider
  		
   .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

.state('tab.maps', {
    url: '/maps',
    views: {
      'tab-maps': {
        templateUrl: 'templates/tab-maps.html',
        controller: 'MapsController'
      }
    }
  })
.state('tab.mapdetail', {
    url: '/mapdetail/:type/:title',
    views: {
      'tab-maps': {
        templateUrl: 'templates/tab-mapdetail.html',
        controller: 'MapDetailController'
        }
      }
  })
//跳转到保险理赔标题页面
.state('tab.knowledge-insurance',{
	  url:'/knowledge/insurance',
	  views:{
		'tab-knowledges':{
		  templateUrl: 'templates/tab-knowledge-insurance.html',
      controller: 'InsuranceController'
		}
	  }
  })
	   
//跳转到保险理赔详情 :url用来获取传过来的参数
.state('tab.insurance-info', {
    url: '/insurance/info/:url',
    views: {
     'tab-knowledges': {
       templateUrl: 'templates/tab-insurance-info.html',
       controller: 'InfoCtrl'
      }
    }
  })
//跳转汽车小窍门
.state('tab.knowledge-cartrick',{
	  url:'/knowledge/cartrick',
	  views: {
      'tab-knowledges': {
      templateUrl: 'templates/tab-knowledge-cartrick.html',
      controller: 'CartrickCtrl'
      }
    }
	})
//跳转汽车小窍门详情页面
.state('tab.cartrick-info',{
	  url:'/cartrick/info/:url',
	  views: {
      'tab-knowledges': {
       templateUrl: 'templates/tab-cartrick-info.html',
       controller: 'CartrickInfoCtrl'
      }
    }
	})
//挪车（通过车牌号查找手机号）
.state('tab.dash-info',{
	  url:'/dash/info/:url',
	  views: {
      'tab-dash': {
       templateUrl: 'templates/tab-dash-info.html',
       controller: 'DashInfoCtrl'
      }
    }
  })
//举报页面
.state('tab.dash-report',{
	  url:'/dash/report/:url',
	  views: {
      'tab-dash': {
      templateUrl: 'templates/tab-dash-report.html',
      controller: 'DashreportCtrl'
      }
    }
	})

//忘记密码
.state('tab.forgetpwd',{
	  url:'/forgetpwd',
	  views: {
      'tab-account': {
      templateUrl: 'templates/tab-forgetpwd.html',
      controller: 'ForgetpwdCtrl'
      }
    }
	})

//跳转到注册页面
.state('tab.regin',{
	  url:'/regin',
	  views:{
		 //从上一个页面跳转的html网页
		  'tab-account':{
			templateUrl: 'templates/tab-regin.html',
			controller: 'ReginController'
		 }
	 }
  })
//知识库
.state('tab.knowledges', {
    url: '/knowledges',
    views: {
      'tab-knowledges': {
        templateUrl: 'templates/tab-knowledges.html',
        controller: 'KnowledgesController'
      }
    }
  })
//常用电话
.state('tab.knowledge_phone', {
    url: '/knowledge/phone',
    views: {
      'tab-knowledges': {
        templateUrl: 'templates/tab-knowledge-phone.html',
        controller: 'KnowledgePhoneController'
      }
    }
  })

//交通标志
.state('tab.knowledge-trafficSign',{
		url:'/knowledge/trafficSign',
		views :
		{
			'tab-knowledges':{
			templateUrl: 'templates/tab-knowledge-trafficSign.html',
       controller: 'TrafficSignController'
			}
		}
	})
//挪车
.state('tab.dash', {
  	cache: false,
    url: '/dash',
    views: {
      'tab-dash': {
        templateUrl: 'templates/tab-dash.html',
        controller: 'DashCtrl'
      }
    }
  })

.state('tab.chats', {
      url: '/chats',
      views: {
        'tab-chats': {
          templateUrl: 'templates/tab-chats.html',
          controller: 'ChatsCtrl'
        }
      }
    })

//跳转到登录页面
.state('login',{  	
  	cache: false,
		url:'/login',
		templateUrl: 'templates/tab-login.html',
		controller: 'LoginController'
  })

 //意见反馈
.state('tab.yjfk',{
 	  url:'/account/yjfk/:url',
 	  views:{
 		'tab-account':{
 			templateUrl:'templates/tab-yjfk.html',
 			controller:'YjfkController'
 		}
 	}
 })
 //关于我们
 .state('tab.about',{
 	 url:'/about',
 	 views:{
 		'tab-account':{
 			templateUrl:'templates/tab-about.html',
 			controller:'AboutController'
 		}
 	}
 })
 
//重置密码
.state('tab.uppwd',{
 	  url:'/account/uppwd/:url',
 	  views:{
 		'tab-account':{
 			templateUrl:'templates/tab-uppwd.html',
 			controller:'UppwdController'
 		}
 	}
 })
 
.state('tab.chat-detail', {
    url: '/chats/:chatId',
    views: {
     'tab-chats': {
        templateUrl: 'templates/chat-detail.html',
        controller: 'ChatDetailCtrl'
        }
      }
  })

//修改手机号
.state('tab.updatephone', {
  	cache: false,
    url: '/updatephone/:url',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-updatephone.html',
        controller: 'updatephoneCtrl'
      }
    }
  })
 
//修改车牌号
.state('tab.updatezl', {
  	cache: false,
    url: '/updatezl/:url',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-updatezl.html',
        controller: 'updatezlCtrl'
      }
    }
  })

//我
.state('tab.account', {
  	cache: false,
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  });

  $urlRouterProvider.otherwise('/tab/dash');

})

