angular.module('bieduwo.controllers', [])
.controller('MenuController', function($scope, $ionicSideMenuDelegate) {
	console.log("in menu controller.");
	$scope.toggleLeft = function() {
		$ionicSideMenuDelegate.toggleLeft();
	};
})
   
.controller('MapsController', function($scope) {
	console.log("in Maps Controller.");
})

/**
 * * 地图相关
 */
.controller('MapDetailController', function($scope, $stateParams) {
	console.log("in MapDetail Controller.");
    //alert("stateParams title:"+$stateParams.title);
    /*
	if("gas_station" == $stateParams.type){
		$scope.title = "加油站";
	}else if("parking" == $stateParams.type){
		$scope.title = "停车场";
	}else if("car_wash" == $stateParams.type){
		$scope.title = "洗车";
	}else if("repair_factory" == $stateParams.type){
		$scope.title = "修配厂";
	}
     */
    $scope.title = $stateParams.title;
    // 百度地图API功能
    var point = new BMap.Point(116.404, 39.915);
    var map = new BMap.Map("allmap");    // 创建Map实例
    map.centerAndZoom(point, 11);  // 初始化地图,设置中心点坐标和地图级别
    map.addControl(new BMap.MapTypeControl());   //添加地图类型控件
    map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放
    map.centerAndZoom(point, 15);                 // 初始化地图，设置中心点坐标和地图级别
    map.addControl(new BMap.NavigationControl());//地图平移缩放控件
    map.addControl(new BMap.ScaleControl());    //比例尺控件
    function translateCallback(point){
        map.centerAndZoom(point, 11);  // 初始化地图,设置中心点坐标和地图级别
        var options = {
                renderOptions: {
                map: map
            },
            onSearchComplete: function(results) {
            //可添加自定义回调函数
            }
        };
        var localSearch = new BMap.LocalSearch(map, options);
        localSearch.searchNearby($scope.title, point, 5000);
    }
    //GPS定位成功
    function onSuccess(position) {
        /*
        alert('Latitude: '          + position.coords.latitude          + '\n' +
              'Longitude: '         + position.coords.longitude         + '\n' +
              'Altitude: '          + position.coords.altitude          + '\n' +
              'Accuracy: '          + position.coords.accuracy          + '\n' +
              'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '\n' +
              'Heading: '           + position.coords.heading           + '\n' +
              'Speed: '             + position.coords.speed             + '\n' +
              'Timestamp: '         + position.timestamp                + '\n');
         */
        // 百度地图API功能
        //GPS坐标
        var xx = position.coords.longitude;
        var yy = position.coords.latitude;
        var gpsPoint = new BMap.Point(xx,yy);
        BMap.Convertor.translate(gpsPoint,0,translateCallback);
    };
    //GPS定位失败
    function onError(error) {
        switch(error.code)
        {
            case 1:
            alert('您拒绝了使用位置共享服务，暂时无法为您服务!');
            break;
            default :
            alert('获取位置失败，暂时无法为您服务!');
            break;
        }
    }
    //GPS定位
    try{
       navigator.geolocation.getCurrentPosition(onSuccess, onError,{enableHighAccuracy:true});
    }
    catch(e){
        console.log("e:"+e);
    }
}) 

.controller('KnowledgesController', function($scope) {
	console.log("in Knowledges Controller.");
})

/**
 * *常用电话
 */
.controller('KnowledgePhoneController', function($scope, $ionicLoading, $http, KnowledgePhones,Setting,$ionicPopup) {
	console.log("in Knowledge Phone Controller.");
  	$ionicLoading.show({
		template: 'Loading...'
	});
	var pagecount=3;
	var pagesize=1;
	//下拉刷新
	$scope.doRefresh = function() {
		pagesize = 1;
		$http.get(Setting.baseUrl+"block/commonPhone.do?num=" + pagesize + "")
			.success(function(data, status, headers, config) {
		   		$scope.items = data.result;
		   		pagecount = data.totalpage;
		 	})
		 	.finally(function() {
			   // 停止广播ion-refresher
			   $scope.$broadcast('scroll.refreshComplete');
		 	});
	};
	//上拉加载
	$scope.loadMore = function() {
		$http.get(Setting.baseUrl+"block/commonPhone.do?num=" + (pagesize+1) + "")
			.success(function(data, status, headers, config) {
				if(1 == data.code){
			   		for (var i = 0; i < data.result.length; i++) {
				  		$scope.items.push(data.result[i]);
					}
			   		pagecount = data.totalpage;
				}
		 	})
		 	.finally(function() {
			   // 停止广播ion-infinite-scroll
			   $scope.$broadcast('scroll.infiniteScrollComplete');
		 	});
		pagesize++;
	};
	//是否可加载更多数据
	$scope.loadMoreCanBeLoaded = function(){
		if(pagecount <= pagesize){
			return false;
		}else{
			return true;
		}
	}
 	$scope.phones = [];
	$http.get(Setting.baseUrl+"block/commonPhone.do?num=1")  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.items = data.result;
						//隐藏loading指示器
						$ionicLoading.hide();
					}else{
						$ionicLoading.hide();
						//Setting.appName信息
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template:data.message ,
       							okText: '确定'
     					});
     					alertPopup.then(function(res) {
     							return;
     					});
					}
			
			})  
			.error(function(data, status, headers, config) {    
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     						});
     					alertPopup.then(function(res) {
     							return;
     						});
	
			});  
	$scope.phoneCall = function(phoneNumber){ 
			console.log("phoneCall phoneNumber:"+phoneNumber);
			location.href = "tel:"+phoneNumber;
	};
	$scope.phoneSms = function(phoneNumber){ 
			console.log("phoneSms phoneNumber:"+phoneNumber);
			location.href = "sms:"+phoneNumber;
	};
})

/**
 * *保险理赔控制器（标题和id）
 */
.controller('InsuranceController',function($scope, $ionicLoading, $http,Setting,$ionicPopup)
{
	console.log("in InsuranceController Controller.");
	$ionicLoading.show({
		template: 'Loading...'
	});
	var pagecount=3;
	var pagesize=1;
	//下拉刷新
	$scope.doRefresh = function() {
		pagesize = 1;
		$http.get(Setting.baseUrl+"block/insuranceClaims.do?num=" + pagesize + "")
			.success(function(data, status, headers, config) {
		   		$scope.items = data.result;
		   		pagecount = data.totalpage;
		 	})
		 	.finally(function() {
			   // 停止广播ion-refresher
			   $scope.$broadcast('scroll.refreshComplete');
		 	});
	};
	//上拉加载
	$scope.loadMore = function() {
		$http.get(Setting.baseUrl+"block/insuranceClaims.do?num=" + (pagesize+1) + "")
			.success(function(data, status, headers, config) {
				if(1 == data.code){
			   		for (var i = 0; i < data.result.length; i++) {
				  		$scope.items.push(data.result[i]);
					}
			   		pagecount = data.totalpage;
				}
		 	})
		 	.finally(function() {
			   // 停止广播ion-infinite-scroll
			   $scope.$broadcast('scroll.infiniteScrollComplete');
		 	});
		pagesize++;
	};
	//是否可加载更多数据
	$scope.loadMoreCanBeLoaded = function(){
		if(pagecount <= pagesize){
			return false;
		}else{
			return true;
		}
	}
	$scope.info= [];
	$http.get(Setting.baseUrl+"block/insuranceClaims.do?num=1")  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.items= data.result;
						//隐藏loading指示器
						$ionicLoading.hide();
					}else{
						//隐藏loading指示器
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       								title: Setting.appName,
       								template: data.message,
       								okText: '确定'
     						});
     					alertPopup.then(function(res) {
     								return;
     						});
					}
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});
			});  
	$scope.shows = function(id)
	{
		location.href="#/tab/insurance/info/"+id;
	};
})

/**
 * *保险理赔详情 参数用$stateParams，获取用$stateParams.url
 */
.controller('InfoCtrl',function($scope, $ionicLoading,$stateParams,$http,Setting,$ionicPopup)
{
	console.log("in InfoCtrl Controller.");
	//显示一个loading指示器
	$ionicLoading.show({
		template: 'Loading...'
	});
	$scope.contents= [];
	$http.get(Setting.baseUrl+"block/insuranceClaims2.do?id="+$stateParams.url)  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.contents= data.result;
						//隐藏loading指示器
						$ionicLoading.hide();
					}else{
						//隐藏loading指示器
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data.message,
       							okText: '确定'
     						});
     					alertPopup.then(function(res) {
     							return;
     						});
					}
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     					});
     				alertPopup.then(function(res) {
     							return;
     					});
			});  
})

/**
 * *交通标志
 */
.controller('TrafficSignController', function($scope, $ionicLoading,$http,Setting,$ionicPopup) {
	console.log("in TrafficSignController Controller.");
	$ionicLoading.show({
		template: 'Loading...'
	});
	var pagecount=3;
	var pagesize=1;
	//下拉刷新
	$scope.doRefresh = function() {
		pagesize = 1;
		$http.get(Setting.baseUrl+"block/trafficSign.do?num=" + pagesize + "")
			.success(function(data, status, headers, config) {
		   		$scope.items = data.result;
		   		pagecount = data.totalpage;
		 	})
		 	.finally(function() {
			   // 停止广播ion-refresher
			   $scope.$broadcast('scroll.refreshComplete');
		 	});
	};
	//上拉加载
	$scope.loadMore = function() {
		$http.get(Setting.baseUrl+"block/trafficSign.do?num=" + (pagesize+1) + "")
			.success(function(data, status, headers, config) {
				if(1 == data.code){
			   		for (var i = 0; i < data.result.length; i++) {
				  		$scope.items.push(data.result[i]);
					}
			   		pagecount = data.totalpage;
				}
		 	})
		 	.finally(function() {
			   // 停止广播ion-infinite-scroll
			   $scope.$broadcast('scroll.infiniteScrollComplete');
		 	});
		pagesize++;
	};
	//是否可加载更多数据
	$scope.loadMoreCanBeLoaded = function(){
		if(pagecount <= pagesize){
			return false;
		}else{
			return true;
		}
	}
	$scope.traffics = [];
	$http.get(Setting.baseUrl+"block/trafficSign.do?num=1")  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.items= data.result;
						$ionicLoading.hide();
					}else{
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template:data,
       							okText: '确定'
     						});
     					alertPopup.then(function(res) {
     							return;
     						});
					}
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});
			});  
	
})

/**
 * *汽车小窍门 
 */
.controller('CartrickCtrl', function($scope, $ionicLoading,$http,Setting,$ionicPopup) {
	console.log("in CartrickCtrl Controller.");
	$ionicLoading.show({
		template: 'Loading...'
	});
	var pagecount=3;
	var pagesize=1;
	//下拉刷新
	$scope.doRefresh = function() {
		pagesize = 1;
		$http.get(Setting.baseUrl+"block/carTrick.do?num=" + pagesize + "")
			.success(function(data, status, headers, config) {
		   		$scope.items = data.result;
		   		pagecount = data.totalpage;
		 	})
		 	.finally(function() {
			   // 停止广播ion-refresher
			   $scope.$broadcast('scroll.refreshComplete');
		 	});
	};
	//上拉加载
	$scope.loadMore = function() {
		$http.get(Setting.baseUrl+"block/carTrick.do?num=" + (pagesize+1) + "")
			.success(function(data, status, headers, config) {
				if(1 == data.code){
			   		for (var i = 0; i < data.result.length; i++) {
				  		$scope.items.push(data.result[i]);
					}
			   		pagecount = data.totalpage;
				}
		 	})
		 	.finally(function() {
			   // 停止广播ion-infinite-scroll
			   $scope.$broadcast('scroll.infiniteScrollComplete');
		 	});
		pagesize++;
	};
	//是否可加载更多数据
	$scope.loadMoreCanBeLoaded = function(){
		if(pagecount <= pagesize){
			return false;
		}else{
			return true;
		}
	}

	$scope.cartricks = [];
	$http.get(Setting.baseUrl+"block/carTrick.do?num= 1")  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.items= data.result;
						$ionicLoading.hide();
					}else{
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template:data.message,
       							okText: '确定'
     						});
     					alertPopup.then(function(res) {
     							return;
     						});
					}
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});
	
			});  
	$scope.CarInfo = function(id)
	{
		location.href="#/tab/cartrick/info/"+id;
	}
})

/**
 * *汽车小窍门详情页面 参数用$stateParams，获取用$stateParams.url
 */
.controller('CartrickInfoCtrl',function($scope, $ionicLoading,$stateParams,$http,Setting,$ionicPopup)
{
	console.log("in CartrickInfoCtrl Controller.");
	$ionicLoading.show({
		template: 'Loading...'
	});
	$scope.cartrickinfo= [];
	$http.get(Setting.baseUrl+"block/carTrickById.do?id="+$stateParams.url)  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$scope.cartrickinfo= data.result;
						$ionicLoading.hide();
					}else{
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data.message,
       							okText: '确定'
     						});
     					alertPopup.then(function(res) {
     							return;
     						});
					}
			
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template: data,
       							okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});
	
			});  
})

/**
 * *挪车页面
 */
.controller('DashCtrl', function($scope, $ionicSideMenuDelegate, $ionicPopup, Setting, provinces, chepaiZimu) {
	
	console.log("in Dash controller.");
	$ionicSideMenuDelegate.toggleLeft();
	var cph = /^[\u4e00-\u9fa5]{1}[a-zA-Z]{1}[a-zA-Z_0-9]{5}$/;
	//省空间数据填充
	$scope.cityValue = "a";
	city.options.length = 0;
	var provinceLength = provinces.length;
	//查询所有省
	for (var j=0; j < provinceLength; j++) {
		var newOption = new Option(provinces[j]);
		if(provinces[j] == $scope.cityValue){
			newOption.selected = true;
		}
		city.options.add(newOption);
	};
	//查询省下面的市
	$scope.changeZimu = function()
	{
		var len = chepaiZimu.length;
		for (var i=0; i < len; i++) {
			if(city.options[city.selectedIndex].text == chepaiZimu[i][0]){
				zimu.options.length = 0;
				var zimuArray = chepaiZimu[i][1].split(',');
				var zimuArrayLength = zimuArray.length;
				for (var j=0; j < zimuArrayLength; j++) {
					zimu.options.add(new Option(zimuArray[j]));
				};
				break;
			}
		};
		
	}
	$scope.check = function()
	{
		var licenses=city.value+zimu.value+license.value;
		if("true" != sessionStorage.isLogin || localStorage.enableAutoLogin == false)
		{
			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '请先登录！',
       				okText: '确定'
     		});
     		alertPopup.then(function(res) {
					location.href="#/login";
     		});
		}
		else if(city.selectedIndex==0)
		{
			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '请选择省！',
       				okText: '确定'
     		});
     		alertPopup.then(function(res) {
					return false;
     		});
		}
		else if(zimu.value=="")
		{
			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '请选择市！',
       				okText: '确定'
     		});
     		alertPopup.then(function(res) {
					return false;
     		});
		}
		else if(license.value=="")
		{
			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '请输入五位车牌..',
       				okText: '确定'
     		});
     		alertPopup.then(function(res) {
					return false;
     		});
		}else if(!cph.test(licenses.trim()))
		{
			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '车牌号不符合！',
       				okText: '确定'
     		});
     		alertPopup.then(function(res) {
					return false;
     		});
		}
		else
		{
			var licenses=city.value+zimu.value+license.value;
			location.href="#/tab/dash/info/"+licenses;
			return true;
		}
	}
	
})

/**
 * *挪车（根据车牌号查找手机号）
 */
.controller('DashInfoCtrl',function($scope, $ionicLoading,$stateParams,$http,Setting,$ionicPopup)
{
	console.log("in DashInfoCtrl Controller.");
	$ionicLoading.show({
		template: 'Loading...'
	});
	$scope.dashinfo= "";
	$http.get(Setting.baseUrl+"block/findPhoneByLicense.do?license="+$stateParams.url)  
		.success(function(data, status, headers, config) {  
				if(1 == data.code){
					$scope.dashinfo= data.result;
					//隐藏loading指示器
					$ionicLoading.hide();
				}else{
					//隐藏loading指示器
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       							title: Setting.appName,
       							template:data.message,
       							okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});
					}
			
			})  
		.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template:  data,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
     							return;
     						});  
	
			}); 
	//电话
	$scope.phoneCall = function(){ 
			if($scope.dashinfo=="")
			{
				alert("没有电话号码！");
				return;
			}else
			{
			location.href = "tel:"+$scope.dashinfo.phone;
			}
	};
	//短信
	$scope.phoneSms = function(){ 
			if($scope.dashinfo=="")
			{
				alert("没有电话号码！");
				return;
			}else
			{
				location.href = "sms:"+$scope.dashinfo.phone;
			}
	};
	//举报
	$scope.reports = function(){ 
			console.log("in report Controller.");
			location.href="#/tab/dash/report/"+user_id.value;
	};
})

/**
 * *举报
 */
.controller('DashreportCtrl', function($scope, $ionicLoading,$http,$ionicActionSheet,$stateParams,Setting,$ionicPopup) {
	console.log("in DashreportCtrl Controller.");
	$scope.dashinfo= "";
   	$scope.tijiao =function()
   	{
   		if(content.value=="")
   		{
   			var alertPopup = $ionicPopup.alert({
       					title: Setting.appName,
       					template: '举报内容不能为空！',
       					okText: '确定'
     						});
     		alertPopup.then(function(res) {
						return false;
     						});
   		}else
   		{
			$http.get(Setting.baseUrl+"block/report.do?user_id="+localStorage.user_id+"&content="+content.value+"&image="+null+"&person_id="+$stateParams.url)  
			.success(function(data, status, headers, config) {  
					if(1 == data.code){
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       								title: Setting.appName,
       								template: data.message ,
       								okText: '确定'
     						});
     					alertPopup.then(function(res) {
									location.href="#/tab/dash/info";
     						});
					}else{
						$ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
       								title: Setting.appName,
       								template: data.message,
       								okText: '确定'
     						});
     					alertPopup.then(function(res) {
									return;
     						});
					}
			})  
			.error(function(data, status, headers, config) {  
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return;
     						});
			}); 
			}
	}
   	
	//取消
	$scope.cancel = function()
	{
		location.href="#/tab/dash/info";
	}
})

.controller('ChatsCtrl', function($scope, Chats) {
  	 $scope.chats = Chats.all();
 	 $scope.remove = function(chat) {
    	Chats.remove(chat);
  	};
})

/*
 * 忘记密码
 * */
.controller('ForgetpwdCtrl', function($scope, Chats,$http,Setting,$ionicPopup,$ionicLoading) {
  	console.log("in ForgetpwdCtrl Controller.");
  	$scope.nkforget=function()
  	{
  		var phone = /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
  		if(usernames.value=="")
  		{
  			var alertPopup = $ionicPopup.alert({
       					title: Setting.appName,
       					template: '用户名不能为空！',
       					okText: '确定'
     						});
     		alertPopup.then(function(res) {
						return false;
     						});
  		}else if(phones.value=="")
  		{
  			var alertPopup = $ionicPopup.alert({
       				title: Setting.appName,
       				template: '手机号不能为空！',
       				okText: '确定'
     						});
     		alertPopup.then(function(res) {
					return false;
     						});
  		}else if(!phone.test(phones.value.trim()))
  		{
  			var alertPopup = $ionicPopup.alert({
       					title: Setting.appName,
       					template: '手机号码格式不正确！',
       					okText: '确定'
     						});
     		alertPopup.then(function(res) {
						return false;
     						});
  		}
  		else
  		{
  			$http.get(Setting.baseUrl+"block/forgetPassword.do?username="+usernames.value+"&phone="+phones.value)
			.success(function(data, status, headers, config){
				if(-1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
							return false;
     						});
				}else if(0==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
							return false;
     						});
				}else if(1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
							return false;
     						});
				}else if(-2==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
							return false;
     						});
     			}
				else{
					$ionicLoading.hide();
				}
			})
			}
  		}
})

/**
 * *登录
 */
.controller('LoginController',function($scope,$ionicLoading,$http,$ionicHistory,Setting,$ionicPopup){
	$ionicHistory.clearHistory();
	$ionicHistory.clearCache();
	localStorage.enableAutoLogin = ((undefined == localStorage.enableAutoLogin)?false:localStorage.enableAutoLogin);
	if("true" == sessionStorage.isLogin){
		location.href="#/tab/account";
		return;
	}else if(true ==sessionStorage.isLogin)
	{
		location.href="#/tab/account";
		return;
	}
	$scope.enableAutoLogin = {checked : Boolean(localStorage.enableAutoLogin)};
	if("true" == localStorage.enableAutoLogin || true == localStorage.enableAutoLogin){
		$scope.enableAutoLogin = {checked : true};
	}else{
		$scope.enableAutoLogin = {checked : false};
	}
	
	
	$scope.login = function(){
		var user = /^[a-zA-Z0-9_]{1,30}$/;
		var pwd = /^[\w!@#$%\^&\*\(\)_]{6,20}$/;
		if(logusername.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '用户名不能是空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!user.test(logusername.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '用户名格式不正确',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(logpwd.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(logpwd.value.trim().length<6){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码长度不能小于6个字符',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!pwd.test(logpwd.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码格式不正确',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else{
			$ionicLoading.show({template: 'Loading...'});
			$http.get(Setting.baseUrl+"block/login.do?username="+logusername.value+"&password="+logpwd.value)
			.success(function(data, status, headers, config){
				if(-1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else if(0==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message ,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else{
					$ionicLoading.hide();
					localStorage["user_id"] = data.result.user_id;
					localStorage["username"] = data.result.username;
					localStorage["license"] = data.result.license;
					localStorage["phone"] = data.result.phone;
					localStorage["password"] = data.result.password;
					sessionStorage.isLogin = "true";
					location.href="#/tab/account";
				}
			})
		}
	}
	
	//自动登录选择toggle内容变换
	$scope.autoLoginChange = function()
	{
		if($scope.enableAutoLogin.checked==true || "true"==$scope.enableAutoLogin.checked){
			localStorage.enableAutoLogin = true;
		}else{
			localStorage.enableAutoLogin = false;
		}
	}
	
	//执行自动登录
	$scope.doAutoLogin = function()
	{
		if($scope.enableAutoLogin.checked==true || "true"==$scope.enableAutoLogin.checked){
			if(localStorage.username=="")
			{
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '用户名不能为空！',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}
			else if(localStorage.password=="")
			{
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码不能为空！',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else
			{
			  $http.get(Setting.baseUrl+"block/login.do?username="+localStorage.username+"&password="+localStorage.password)
			 .success(function(data, status, headers, config){
				if(-1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else if(0==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else{
					$ionicLoading.hide();
					sessionStorage.isLogin = "true";
					location.href="#/tab/account";
				}
			})
			 }
		}
	}
	$scope.doAutoLogin();
	$scope.regin = function(){
		location.href = "#/tab/regin";
	}
})

/**
 * *注册用户
 */
.controller('ReginController', function($scope, $ionicLoading, $http, Setting,$ionicPopup) {
	$scope.reginuser = function(){
		var user = /^[a-zA-Z0-9_]{1,30}$/;
		var cph = /^[\u4e00-\u9fa5]{1}[a-zA-Z]{1}[a-zA-Z_0-9]{5}$/;
		var phone = /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
		var pwd = /^[\w!@#$%\^&\*\(\)_]{6,20}$/;
		if(regusername.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '用户名不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!user.test(regusername.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '用户名不符合要求',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regpassword.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regpassword.value.trim().length<6){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码长度不能小于6个字符',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!pwd.test(regpassword.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码格式不正确',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regpasswordcc.value == ""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '确认密码不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regpasswordcc.value != regpassword.value){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '确认密码不一致',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regphone.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '手机号不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!phone.test(regphone.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '手机号不符合要求',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(regcph.value.trim()==""){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '车牌号不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(!cph.test(regcph.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '车牌号不符合要求',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else{
		$ionicLoading.show({template: 'Loading...'});
		$http.get(Setting.baseUrl+"block/register.do?username="+regusername.value+"&password="+regpasswordcc.value+"&license="+angular.uppercase(regcph.value)+"&phone="+regphone.value)
		.success(function(data, status, headers, config){
		if(-1 == data.code){
			$ionicLoading.hide();
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message ,
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else if(0 == data.code){
			$ionicLoading.hide();
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     						});
		}else{
			$ionicLoading.hide();
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
     				localStorage["user_id"] = data.user_id;
					localStorage["username"] = regusername.value;
					localStorage["password"] = regpasswordcc.value;
					localStorage["phone"] = regphone.value;
					localStorage["license"] = angular.uppercase(regcph.value);
					sessionStorage.isLogin = "true";
          			localStorage.enableAutoLogin = true;
          			location.href="#/tab/account";
     						});
		}
	})
	.error(function(data, status, headers, config){
			$ionicLoading.hide();
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '网络连接失败，稍等一会吧...',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return;
     						});
		
		})
		}
	};
})

/**
 * *修改密码
 */
.controller('UppwdController', function($scope, $stateParams,$http,$ionicLoading, Setting,$ionicPopup) {
  		$scope.uppwd = function(){
  			var pwd = /^[\w!@#$%\^&\*\(\)_]{6,20}$/;
    		if(ypwd.value.trim()==""){
    			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '原密码不能为空',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(ypwd.value.trim().length<6){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码长度不能小于6个字符',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(!pwd.test(ypwd.value.trim())){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '密码格式不正确',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(npwd.value == ""){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '新密码不能为空',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(npwd.value.trim().length<6){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '新密码长度不能小于6个字符',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(npwd.value.trim()==ypwd.value.trim()){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '新密码与原密码不能相同',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(!pwd.test(npwd.value.trim())){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '新密码格式不正确',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(cnpwd.value == ""){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '确认密码不能为空',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else if(cnpwd.value != npwd.value){
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '确认密码与新密码不一致',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			}else{
				$ionicLoading.show({template: 'Loading...'});
				$http.get(Setting.baseUrl+"block/modifyPassword.do?id="+$stateParams.url+"&oldPassword="+ypwd.value+"&newPassword="+cnpwd.value)
				.success(function(data, status, headers, config){
				if(0==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else if(-1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else{
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template:data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
     					    sessionStorage.isLogin = "false";
                            localStorage.enableAutoLogin = false;
							location.href = '#/tab/account';
     						});
				}
			})
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '网络连接失败，稍等一会吧...',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
			})
	}
}
})

/**
 * *意见反馈
 */
.controller('YjfkController', function($scope, $stateParams,$http,Setting,$ionicLoading,$ionicPopup) {
  		$scope.yjbutt = function(){
  			if(yj.value.trim()==""){
  				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '反馈内容不能为空',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
  			}else if(yj.value.trim().length<10){
  				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '反馈内容不能少于10个汉字',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     						});
  			}else{
  				$ionicLoading.show({template: 'Loading...'});
  				$http.get(Setting.baseUrl+"block/feedBack.do?user_id="+$stateParams.url+"&content="+yj.value)
  				.success(function(data, status, headers, config){
				if(-1==data.code){
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								return false;
     						});
				}else{
					$ionicLoading.hide();
					var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     				alertPopup.then(function(res) {
								location.href = '#/tab/account';
     						});
				}
			})	
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '网络连接失败，稍等一会吧...',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return;
     						});
			})
  		}
  	}
})

/**
 * *关于我们
 */
.controller('AboutController', function($scope, $stateParams) {
  
})

/**
 * *修改手机号
 */
.controller('updatephoneCtrl', function($scope, $stateParams,$http,$ionicLoading, Setting,$ionicPopup) {
  	$scope.nkphones =function()
  	{
  		var phone = /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
  		if(newphone.value.trim()=="")
  		{
  			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '手机号不能为空',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     				});
  		}else if(!phone.test(newphone.value.trim()))
  		{
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '手机号不符合要求',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
								return false;
     				});
  		}else
  		{
  			$ionicLoading.show({template: 'Loading...'});
  			$http.get(Setting.baseUrl+"block/modifyPhone.do?id="+$stateParams.url+"&phone="+newphone.value)
			.success(function(data, status, headers, config){
			if(-1 == data.code){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template:data.message,
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
								return false;
     				});
			}else{
				$ionicLoading.hide();
				localStorage["phone"] = newphone.value;	
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
							window.location.href="#/tab/account";
     				});
				
			}
			})
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '网络连接失败，稍等一会吧...',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
							return false;
     				});
			})
  		}
  	}
})

/**
 * * 修改车牌号
 */
.controller('updatezlCtrl', function($scope, $stateParams,$http,$ionicLoading, Setting,$ionicPopup) {
  	$scope.nkcphs = function()
  	{
  		var cph = /^[\u4e00-\u9fa5]{1}[a-zA-Z]{1}[a-zA-Z_0-9]{5}$/;
  		if(newcph.value.trim()=="")
		{
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '车牌号码不能为空！',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
							return false;
     				});
		}else if(!cph.test(newcph.value.trim())){
			var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '车牌号不符合要求！',
       						okText: '确定'
     						});
     		alertPopup.then(function(res) {
							return false;
     				});
		}else{
  			$ionicLoading.show({template: 'Loading...'});
  			$http.get(Setting.baseUrl+"block/modifyLicense.do?id="+$stateParams.url+"&license="+newcph.value)
			.success(function(data, status, headers, config){
			if(-1 == data.code){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
							return false;
     				});
			}else{
				$ionicLoading.hide();
				localStorage["license"] = angular.uppercase(newcph.value);	
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: data.message,
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
							window.location.href="#/tab/account";
     				});
			}
			})
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				var alertPopup = $ionicPopup.alert({
       						title: Setting.appName,
       						template: '网络连接失败，稍等一会吧...',
       						okText: '确定'
     						});
     			alertPopup.then(function(res) {
							return;
     				});
			})
  		}
  }
})

.controller('ChatDetailCtrl', function($scope, $stateParams,$http,$ionicLoading, Setting) {
})

/**
 * *我
 */
.controller('AccountCtrl', function($scope,$location,$ionicPopup,$stateParams,$ionicLoading, $http, $ionicHistory,Setting,$ionicPlatform,$ionicPopup) {
		
		if("true" != sessionStorage.isLogin){
			location.href="#/login";
			return;
		}else
		{
			location.href="#/tab/account";
		}	
		
		$scope.username = localStorage["username"];	
		$scope.phone = localStorage["phone"];	
		$scope.license = localStorage["license"];
		$scope.user_id = localStorage["user_id"];
		
  	//修改手机号
  	$scope.nkphone = function(uid)
  	{
  		location.href="#/tab/updatephone/"+uid;
  		return true;
  	}
  	
  	//修改车牌号
  	$scope.nkcph = function(uid)
  	{
  		location.href="#/tab/updatezl/"+uid;
  		return true;
  	}
  	//重置密码
  	$scope.uppwd = function(uid){
  		location.href="#/tab/account/uppwd/"+uid;
  		return true;
  	}
  	
  	//用户的反馈意见
  	$scope.yjfk = function(uid){
  		location.href="#/tab/account/yjfk/"+uid;
  		return true;
  	}
  	
 	//关于我们
  	$scope.about = function(){
  		location.href="#/tab/about";
  	}
  	
    //退出
   	$scope.showConfirm = function() {
     var confirmPopup = $ionicPopup.confirm({
       	title: Setting.appName,
       	template: '您确定要退出APP吗?',
       	okText: '退出',
        cancelText: '取消'
     	});
     confirmPopup.then(function(res) {
       if(res) {
          sessionStorage.isLogin = "false";
          localStorage.enableAutoLogin = false;
          location.href="#/tab/dash";
       } else {
         console.log('You are not sure');
       }
     });
   };
});
