angular.module('bieduwo.services', [])
.factory('Chats', function() {
  var chats = [{
    id: 0,
    name: 'Ben Sparrow',
    lastText: 'You on your way?',
    face: 'https://pbs.twimg.com/profile_images/514549811765211136/9SgAuHeY.png'
  }, {
    id: 1,
    name: 'Max Lynx',
    lastText: 'Hey, it\'s me',
    face: 'https://avatars3.githubusercontent.com/u/11214?v=3&s=460'
  }, {
    id: 2,
    name: 'Adam Bradleyson',
    lastText: 'I should buy a boat',
    face: 'https://pbs.twimg.com/profile_images/479090794058379264/84TKj_qa.jpeg'
  }, {
    id: 3,
    name: 'Perry Governor',
    lastText: 'Look at my mukluks!',
    face: 'https://pbs.twimg.com/profile_images/598205061232103424/3j5HUXMY.png'
  }, {
    id: 4,
    name: 'Mike Harrington',
    lastText: 'This is wicked good ice cream.',
    face: 'https://pbs.twimg.com/profile_images/578237281384841216/R3ae1n61.png'
  }];

  return {
    all: function() {
      return chats;
    },
    remove: function(chat) {
      chats.splice(chats.indexOf(chat), 1);
    },
    get: function(chatId) {
      for (var i = 0; i < chats.length; i++) {
        if (chats[i].id === parseInt(chatId)) {
          return chats[i];
        }
      }
      return null;
    }
  };
})
.factory('fileReader', ["$q", "$log", function($q, $log){
  var onLoad = function(reader, deferred, scope) {
    return function () {
      scope.$apply(function () {
        deferred.resolve(reader.result);
      });
    };
  };
  var onError = function (reader, deferred, scope) {
    return function () {
      scope.$apply(function () {
        deferred.reject(reader.result);
      });
    };
  };
  var getReader = function(deferred, scope) {
    var reader = new FileReader();
    reader.onload = onLoad(reader, deferred, scope);
    reader.onerror = onError(reader, deferred, scope);
    return reader;
  };
  var readAsDataURL = function (file, scope) {
    var deferred = $q.defer();
    var reader = getReader(deferred, scope);		 
    reader.readAsDataURL(file);
    return deferred.promise;
  };
  return {
    readAsDataUrl: readAsDataURL  
  };
}])
.factory('KnowledgePhones', function() {
 var phones = [{
    name: '电话1',
    num: '110'
  }, {
    name: '电话2',
    num: '111'
  }, {
    name: '电话3',
    num: '112'
  }, {
    name: '电话4',
    num: '113'
  }, {
    name: '电话5',
    num: '114'
  }, {
    name: '电话6',
    num: '115'
  }, {
    name: '电话7',
    num: '116'
  }];

  return {
    all: function() {
      return phones;
    },
    get: function(name) {
      for (var i = 0; i < phones.length; i++) {
        if (phones[i].name === parseInt(name)) {
          return phones[i];
        }
      }
      return null;
    }
  };
})

//省份中文
.factory('provinces', function()
{
		var provinces = [
				"京", 
				"冀", 
				"辽", 
				"皖", 
				"苏", 
				"鄂", 
				"晋", 
				"吉", 
				"粤", 
				"宁", 
				"琼", 
				"津", 
				"豫", 
				"黑", 
				"鲁", 
				"浙", 
				"桂", 
				"蒙", 
				"闽", 
				"川", 
				"渝", 
				"沪", 
				"云", 
				"湘", 
				"新", 
				"赣", 
				"甘", 
				"陕", 
				"贵", 
				"青", 
				"藏"
		];
		return provinces;
})

//省内车牌字母
.factory('chepaiZimu', function()
{
		var chepaiZimu = [
				["京", "A,B,C,E"], 
				["冀", "A,B,C,D,E,F,G,H,J,R,S,T"], 
				["辽", "A,B,C,D,E,F,G,H,J,K,L,M,N,P"], 
				["皖", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S"], 
				["苏", "A,B,C,D,E,F,G,H,J,K,L,M,N"], 
				["鄂", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S"], 
				["晋", "A,B,C,D,E,F,G,H,J,K,L,M"], 
				["吉", "A,B,C,D,E,F,G,H,J"], 
				["粤", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S,T,U,V,W,X,Y,Z"], 
				["宁", "A,B,C,D,E"], 
				["琼", "A,B,C,D,E"], 
				["津", "A,B,C"], 
				["豫", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S,U"], 
				["黑", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,R"], 
				["鲁", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S,U,V"], 
				["浙", "A,B,C,D,E,F,G,H,J,K,L"], 
				["桂", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,R"], 
				["蒙", "A,B,C,D,E,F,G,H,J,K,L,M"], 
				["闽", "A,B,C,D,E,F,G,H,J,K"], 
				["川", "A,B,C,D,E,F,H,J,K,L,M,N,P,Q,R,S,T,U,V,W,X,Y,Z"], 
				["渝", "A,B,C,F,G,H"], 
				["沪", "A,B,C,D,R"], 
				["云", "A,A,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S"], 
				["湘", "A,B,C,D,E,F,G,H,J,K,L,M,N,U"], 
				["新", "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R"], 
				["赣", "A,B,C,D,E,F,G,H,J,K,L,M"], 
				["甘", "A,B,C,D,E,F,G,H,J,K,L,M,N,P"], 
				["陕", "A,B,C,D,E,F,G,H,J,K,V"], 
				["贵", "A,B,C,D,E,F,G,H,J"], 
				["青", "A,B,C,D,E,F,G,H"], 
				["藏", "A,B,C,D,E,F,G,H,J"]
		];
		return chepaiZimu;
})
//公用的服务器地址
.factory('Setting', function() {
 var setting = {
    appName: '别堵我',
    baseUrl: 'http://119.10.4.187:9090/',
    version: 'v0.0.4'
  };
  return setting;
});
